Loading...
Searching...
No Matches
PDBAtomIterator.h File Reference
`#include <BALL/common.h>`
`#include <BALL/KERNEL/PDBAtom.h>`
`#include <BALL/KERNEL/iterator.h>`
`#include <BALL/KERNEL/predicate.h>`
`#include <BALL/CONCEPT/stdIteratorWrapper.h>`

Go to the source code of this file.

## Classes

class | BALL::PDBAtomIteratorTraits

## Namespaces

namespace | BALL

## Typedefs

Iterator type definitions for the various PDBAtomIterators
typedef BidirectionalIterator< Composite, PDBAtom, Composite::CompositeIterator, PDBAtomIteratorTraits > | BALL::PDBAtomIterator
| A mutable bidirectional iterator for the PDBAtom class.
typedef ConstBidirectionalIterator< Composite, PDBAtom, Composite::CompositeIterator, PDBAtomIteratorTraits > | BALL::PDBAtomConstIterator
| A constant bidirectional iterator for the PDBAtom class.
typedef std::reverse_iterator< PDBAtomIterator > | BALL::PDBAtomReverseIterator
| A mutable reverse bidirectional iterator for the PDBAtom class.
typedef std::reverse_iterator< PDBAtomConstIterator > | BALL::PDBAtomConstReverseIterator
| A constant reverse bidirectional iterator for the PDBAtom class.